Update a PTS device
curl --request PATCH \
--url https://api.rigaly.com/api/v1/devices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_name": "<string>",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"min_points": 50000,
"max_points": 50000
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_name: '<string>',
location_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
min_points: 50000,
max_points: 50000
})
};
fetch('https://api.rigaly.com/api/v1/devices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rigaly.com/api/v1/devices/{id}"
payload = {
"device_name": "<string>",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"min_points": 50000,
"max_points": 50000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rigaly.com/api/v1/devices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'device_name' => '<string>',
'location_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'min_points' => 50000,
'max_points' => 50000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "<string>",
"data": {}
}{
"success": false,
"error": {
"message": "Reward not found"
}
}{
"success": false,
"error": {
"message": "<string>"
}
}Devices
Update a PTS device
Updates any subset of: device_name, location_id (null to unassign), and min_points + max_points (must be sent together).
PATCH
/
api
/
v1
/
devices
/
{id}
Update a PTS device
Authorizations
API key from the Rigaly dashboard: Authorization: Bearer rgly_sk_...
Path Parameters
Body
application/json
⌘I